using System;
using System.Collections.Generic;
using System.Text;
using System.Data;
using System.Data.Odbc;

/*
 * Lists the number of students from each state using a GROUP BY clause
 */


namespace C_GroupbyExample
{
    class GroupbyExample
    {
        static string connectionString = "DRIVER={MySQL ODBC 3.51 Driver};" +
            "SERVER=oberon.cs.wisc.edu;PORT=3400;" +
            "DATABASE=CS369_0;USER=CS369_0;PASSWORD=26351;OPTION=3;";

        static void Main(string[] args)
        {
			OdbcConnection connection = new OdbcConnection(connectionString);
			OdbcCommand command = new OdbcCommand();
			OdbcDataReader reader = null;

			command.Connection = connection;
			command.CommandText = "select state,count(state) as numpeople from people group by state order by numpeople ASC;";

			try
			{
				connection.Open();

				reader = command.ExecuteReader();

				while (reader.Read())
				{
					Console.WriteLine(string.Format("{0} {1}", reader[0].ToString(), reader[1].ToString()));
				}
			}
			catch (Exception e)
			{
				Console.Error.WriteLine(e.Message);
			}
			finally
			{
				if (reader != null && !reader.IsClosed)
					reader.Close();
				if (connection.State == ConnectionState.Open)
					connection.Close();
			}

			Console.WriteLine("Hit return to exit.");
			Console.Read();
        }
    }
}
